package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 社区返回数据
 */
@Data
@ApiModel(value = "社区详情返回数据")
public class CommunityDetailVo {
    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long id;

    /**
     * 社区图片
     */
    @ApiModelProperty(value = "社区图片")
    private String imageUrl;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    private String communityName;

    /**
     * 社区标签id
     */
    @ApiModelProperty(value = "社区标签")
    @NotNull(message = "社区标签不能为空")
    private Integer communityTag;

    /**
     * 社区类型
     */
    @ApiModelProperty(value = "社区类型 0免费 1付费")
    @NotNull(message = "社区类型不能为空")
    private Integer type;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    @NotNull(message = "价格不能为空")
    private Double price;

    /**
     * 有效期天数
     */
    @ApiModelProperty(value = "有效期天数")
    @NotNull(message = "有效期天数")
    private Integer validityDay;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

}
